Subject: bug#9324: 24.0.50; Movement past end of screen causes weird jump

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Aug 2011 11:25:55 +0300

> From: Antoine Levitt <[email-masked]>
> Date: Thu, 18 Aug 2011 23:11:10 +0200
> 
> Can't reproduce it here on emacs -Q. I do C-x C-e to evaluate the
> (progn), it jumps to the end of the (forward-sexp) with view centred on
> the (forward-sexp), and when I do the (forward-sexp), it jumps to the
> end of the defadvice, as expected. That's emacs trunk, under linux, GTK
> build.

Same here with today's trunk on MS-Windows.

Ivan, what major mode is active in the buffer where you see the
problem?  I didn't tell that in your report.  I tried Fundamental mode
and Text mode, and couldn't see the problem with either one.

Also, what are the dimensions of your window, in character cell units?

Thanks.